ADIOS2_IOTEST.MPI(1)

NAME
adios2_iotest.mpi - ADIOS2 utility

SYNOPSIS
adios_iotest -a appid -c config {-s | -w} {-d d1[,d2,..,dN] | -D r1[,r2,..,rN]}[-x file]

DESCRIPTION

-a appID:
    unique number for each application in the workflow

-c config: data specification config file

-d ...
    define process decomposition:

d1: number of processes in 1st (slowest) dimension

dN: number of processes in Nth dimension d1*d2*..*dN must equal the number of processes

-D ...
    define process decomposition ratio:

r1: ratio of process decomposition in the 1st (slowest) dimension

rN: ratio of process decomposition in the Nth dimension r1xr2x..xrN must scale up to process countcount without remainder

-s OR -w:
    strong or weak scaling. Dimensions in config are treated accordingly

-x file
    ADIOS configuration XML file

--hdf5
    Use native Parallel HDF5 instead of ADIOS for I/O

-v  increase verbosity

-h  display this help

-F  turn on fixed I/O pattern explicitly

-T  turn on multi-threaded MPI (needed by SST/MPI)

-p  specify the path of the output explicitly

-t  print and dump the timing measured by the I/O timer